Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp vẽ đường cong qua các tọa độ cho trước trong cad3d


  • Please log in to reply
7 replies to this topic

#1 minhduc9987

minhduc9987

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 August 2012 - 03:27 PM

Mình đang cần vẽ đường cong qua các tọa độ cho trước trong cad3D . Các tọa độ được nhập từ file excel or txt, kêt quả hiện ra là đường cong cần vẽ .
File số liệu : excel hay txt
Hình đã gửi

Trước khi dùng Lisp

Hình đã gửi

Sau khi dùng Lisp hiện ra đường cong màu đỏ

Hình đã gửi

Thanks a e, nhờ a e giúp đỡ.
  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5449 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 29 August 2012 - 03:35 PM

A! Anh này làm bên ngành điện, chắc thuộc 1 cty tư vấn, đang thiết kế đường dây 110/220/500kV?
Lisp vẽ cái này thì dễ. Bạn hãy up file txt lên, chứ nhìn hình thì thấy sao lắm tọa độ thế? Đã có X,Y,Z rồi lại thêm tọa độ thì lấy cái nào? Và up file cad nữa để test.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 minhduc9987

minhduc9987

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 August 2012 - 03:58 PM

Mình up file lên đây
Mình đã tính trong file excel rồi, giờ cần vẽ trên cad để minh họa :D


http://www.mediafire.com/?57p166v2vai57jt

or
https://www.box.com/...c15c8e0d48886ad



Nhờ a e giúp đỡ tiện thể mình học tập luôn :D
  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5449 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 29 August 2012 - 05:28 PM

Lisp vẽ Spline 3D đi qua các điểm được ghi trong file txt.

;Doan Van Ha - CADViet.com - Ngay 29/8/2012
;Muc dich: Ve Spline qua cac diem duoc ghi trong file txt.
(defun C:HA( / fn pr rl lst)
(command "ucs" "w")
(setq fn (getfiled "Chon file de lay so lieu" "" "txt" 8))
(setq pr (open fn "r"))
(while (setq rl (read-line pr))
(setq lst (cons (HA:str->lst rl ",") lst)))
(close pr)
(Spline (reverse lst))
(princ))
;----- String to List, EX: (HA:str->lst "1,2,3,4,5" ",") => (1 2 3 4 5)
(defun HA:str->lst ( str del / pos )
(if (setq pos (vl-string-search del str))
(cons (atof (substr str 1 pos)) (HA:str->lst (substr str (+ pos 1 (strlen del))) del))
(list (atof str))))
;----- Ve Spline
(defun Spline (lst)
(entmake (append (list '(0 . "SPLINE") '(100 . "AcDbEntity") '(100 . "AcDbSpline") (cons 71 3) (cons 74 (length lst))) (mapcar (function (lambda (p) (cons 11 p))) lst))))

  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 minhduc9987

minhduc9987

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 August 2012 - 06:22 PM

Thanks u rất nhiều.

Tiện đây có thể cho mình đường dẫn tới link thống kê các hàm sử dụng trong autolisp, kèm theo công dụng và cú pháp của hàm để mình có thể tự lập file autolisp
  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5449 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 29 August 2012 - 06:26 PM

Vào Help của Cad có hết bạn à (trừ mấy hàm acet-... thôi).
Nói thêm: để vẽ đường độ võng 3D giữa 2 đỉnh cột người ta chỉ cần dựa vào tỉ tải và ứng suất là vẽ được, chứ không ai lại đi tính toán từng điểm bên excel rồi đem qua cad vẽ cả.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 29 August 2012 - 08:49 PM

Bác Hạ có thể thay tên lệnh gợi nhớ mỗi lần giải quyết k ^^ ? Vì hình như aHoanh đang sử dụng chế độ lọc lisp thông qua tên :( Hơn nữa, lại hình như diễn đàn vẫn lỗi nếu trong 1 bài có nhiều tên lisp giống nhau thì luôn down bài cuối
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5449 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 29 August 2012 - 08:57 PM

Nếu vậy thì sẽ thay từ hôm nay. Còn việc tìm lại để "truy hồi tố" thì không biết chúng nằm ở góc nào mà lần.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.